
<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/bonus.js");

</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{matchingBonus}">Bono de Igualación</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${receive}" placeholder="Usuario recibe" th:attr="placeholder=#{userReceives}" name="receive" id="receive"/>
                        <input type="text" th:value="${offer}" placeholder="Usuario entrega" th:attr="placeholder=#{deliveryUser}" name="offer" id="offer"/>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>                       
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>
                            &nbsp;<span th:text="#{search}"></span>
                        </button>
                        <button class="btn btn-danger btn-sm action-button" data-action="/views/bonus/differential/calc" ><i class="fa fa-gears"></i>
                            &nbsp;
<!--                            <span th:text="#{btnCalculate}">-->
                                Calcular
                        </button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>
                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th th:text="#{bonus.userReceive}"></th>
                                <th th:text="#{bonus.rank}"></th>
                                <th th:text="#{bonus.username}"></th>
                                <th th:text="#{bonus.userOffer}"></th>
                                <th th:text="#{bonus.rank}"></th>
                                <th th:text="#{bonus.username}"></th>                                
                                <th th:text="#{bonus.earnings}"></th>
                                <th th:text="#{bonus.comment}"></th>
                                <th th:text="#{bonus.date}"></th>
                            </tr>
                        </thead>

                        <tbody>

                            <tr th:each="item : ${page.content}">
                                <td th:text="${item.receiveUser}"></td>
                                <td th:text="${item.receiveUser.rank}"></td>
                                <td th:text="${item.receiveUser.username}"></td>
                                <td th:text="${item.offerUser}"></td>
                                <td th:text="${item.offerUser.rank}"></td>
                                <td th:text="${item.offerUser.username}"></td>
                                <td th:text="${item.getQuantityPayText()}"></td>
                                <td th:text="${item.comment}"></td>
                                <td th:if="${item.date != null}" th:text="${#dates.format(item.date, 'dd/MM/yyyy')}"></td>
                                <td th:if="${item.date == null}">--</td>
                            </tr>

                        </tbody>
                    </table>

                    <div class="row-fluid">
                        <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                            <div class="tile-stats">
                                <div class="icon"><i class="fa fa-money"></i></div>
                                <div class="count" th:text="${sums.getQuantityPayText()}"></div>
                                <h4 th:text="#{bonus.earnings}"></h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>

    </div>

</div>

